Client doesn't support MySQL authentication protocol.

  • Client doesn't support MySQL authentication protocol.

    Hi folks,

    I'm trying to configure RW to use MySQL. Brand new world so no conversion necessary. MySQL 8.0.11.0
    I have configured for "Legacy authentication" and tested that it's working OK by installing phpMyAdmin.

    When I run the RW server, it complains that the client doesn't support the authentication protocol, and suggests that I should update the MySQL client.

    Does RW support MySQL version 8.0.11.0? If not, what version should I downgrade to?

    Thanks!

    database_mysql_connections=10
    database_mysql_database=risingworld
    database_mysql_password=thisismypassword
    database_mysql_server_ip=127.0.0.1
    database_mysql_server_port=3306
    database_mysql_user=risingworld
    database_type=mysql